package com.xt.hb.gis.util;

import java.util.UUID;

/**
 * 框架默认的ID生成器
 * 
 * @author 袁晓冬
 *
 */
public class UUIdGenerator implements IdGenerator {

    /**
     * 返回UUID
     */
    @Override
    public String generateStringId() {
        String id = UUID.randomUUID().toString();
        id = id.replace("-", "");
        return id;
    }

    /**
     * 不提供支持
     */
    @Override
    public long generateLongId() {
        throw new IllegalArgumentException("不支持此方法！");
    }

    /**
     * 不提供支持
     */
    @Override
    public int generateIntId() {
        throw new IllegalArgumentException("不支持此方法！");
    }

}
